﻿@model Bloggie.Web.Models.ViewModels.EditTagRequest
@{
}

<div class="bg-secondary bg-opacity-10 py-2">

    <div class="container">
        <h1>Edit tag- Admin functionality</h1>
    </div>


</div>
<div class="container py-5">
    @if (Model != null)
    {
        <form method="post">

            <div class="mb-3">
                <label class="form-label">
                    Id
                </label>

                <input type="text" id="id" class="form-control" asp-for="Id" readonly></input>
            </div>

            <div class="mb-3">
                <label class="form-label">Name </label>

                <input type="text" id="name" class="form-control" asp-for="Name" />
            </div>

            <div class="mb-3">
                <label class="form-label">Display Name</label>

                <input type="text" id="displayName" class="form-control" asp-for="DisplayName"> </input>
            </div>

            <div class="mb-3">
                <div class="d-flex">
                    <button type="submit" class="btn btn-dark">Update</button>
                    <button type="submit" class="btn btn-danger ms-2"
                            asp-area=""
                            asp-controller="AdminTags"
                            asp-action="Delete">
                        Delete
                    </button>
                </div>
            </div>

        </form>
    }
    else{<p>tag not found</p>
    
    }
   

</div>
